# cnos_vrf – Manage VRFs on Lenovo CNOS network devices

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of VRFs on Lenovo CNOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of VRFs contexts
associated_interfaces - |  | This is a intent option and checks the operational state of the for given vrf `name` for associated interfaces. If the value in the `associated_interfaces` does not match with the operational state of vrf interfaces on device it will result in failure.
delay - | Default: 10 | Time in seconds to wait before checking for the operational state on remote device. This wait is applicable for operational state arguments.
interfaces - |  | Identifies the set of interfaces that should be configured in the VRF. Interfaces must be routed interfaces in order to be placed into a VRF. The name of interface should be in expanded format and not abbreviated.
name - / required |  | Name of the VRF.

purge
boolean

Choices:
- no ←
- yes

Purge VRFs not defined in the aggregate parameter.

rd - |  | Route distinguisher of the VRF

state
-

Choices:
- present ←
- absent

State of the VRF configuration.

## Notes

Note

- Tested against CNOS 10.9.1

## Examples

    - name: Create vrf
      cnos_vrf:
        name: test
        rd: 1:200
        interfaces:
          - Ethernet1/33
        state: present

    - name: Delete VRFs
      cnos_vrf:
        name: test
        state: absent

    - name: Create aggregate of VRFs with purge
      cnos_vrf:
        aggregate:
          - { name: test4, rd: "1:204" }
          - { name: test5, rd: "1:205" }
        state: present
        purge: yes

    - name: Delete aggregate of VRFs
      cnos_vrf:
        aggregate:
          - name: test2
          - name: test3
          - name: test4
          - name: test5
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['vrf context test', 'rd 1:100', 'interface Ethernet1/44', 'vrf member test']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Muraleedharan (@amuraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.